Add children

POST
https://example.kaiten.ru/api/latest/cards/{card_id}/children
Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
card_id
required
integer

ID of child card

Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
archived

boolean

Card archived flag
id

integer

Children card id
title

string

Card title
description

null | string

Card description
asap

boolean

Card asap flag
due_date

null | string

Card deadline
fifo_order

integer

Number of card in the cell when fifo rule applied to cards column
state

enum

1-queued, 2-inProgresss, 3-done
condition

enum

1 - live, 2 - archived
expires_later

boolean

Fixed deadline or not. Date dependant flag in terms of Kanban
parents_count

integer

Card parents count
children_count

integer

Card children count
children_done

integer

Card children done count
goals_total

integer

Card goals count
goals_done

integer

Number of card done goals
time_spent_sum

integer

Amount of time spent(in minutes)
time_blocked_sum

integer

Amount of blocked time(in minutes)
children_number_properties_sum

null | object

Schema
Sum according to numerical data of child cards
parent_checklist_ids

null | array

Array of card parent checklist ids
blocking_card

boolean

Is card blocking another card
blocked

boolean

Is card blocked
size

null | number

Numerical part of size
size_unit

null | string

Text part of size
size_text

null | string

Size. Example of acceptable values: '1', '23.45', '.5', 'S', '3 M', 'L', 'XL', etc...
due_date_time_present

boolean

Flag indicating that deadline is specified up to hours and minutes
board_id

integer

Board id
column_id

integer

Column id
lane_id

integer

Lane id
owner_id

integer

Card owner id
type_id

integer

Card type id
version

integer

Card version
updater_id

integer

User id who last updated card
completed_on_time

null | boolean

Flag indicating that card completed on time when due date present
completed_at

null | string

Date when card moved to done type column
last_moved_at

null | string

Date when card last moved
lane_changed_at

null | string

Date when card changed lane
column_changed_at

null | string

Date when card changed column
first_moved_to_in_progress_at

null | string

Date when card first moved to inProgress type column
last_moved_to_done_at

null | string

Date when card last moved to done type column
sprint_id

integer

Sprint id
external_id

null | string

External id
service_id

integer

Service id
comments_total

integer

Total card comments
comment_last_added_at

null | string

Date when last comment added
properties

null | object

Schema
Card custom properties. Format: id_{propertyId}:value
planned_start

null | string

Card timeline planned start
planned_end

null | string

Card timeline planned end
counters_recalculated_at

string

Date of recalculating counters
sd_new_comment

boolean

Has unseen service desk request author comments
public

boolean

Is card public
share_settings

null | object

Schema
Public share settings
share_id

null | string

Public share id
external_user_emails

null | string

External users emails
description_filled

boolean

Flag indicating that card has description
estimate_workload

number

Estimate_workload
owner

object

Schema
Card owner info
type

object

Schema
Card type info
has_access_to_space

boolean

Flag indicating that user who made request has aceess to space
path_data

object

Schema
Card path info (space, board, column, lane, etc)
space_id

integer

Space id
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariff
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request POST \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/children' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!